> For the complete documentation index, see [llms.txt](https://docs.medable.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.medable.com/cortex-api/objects-definition/object-properties/any.md).

# Any

Property Type: `any`

An `any` property can store any user-defined object data. When defined, a json schema can be attached that will validate the\
input. This is very handy for storing legacy data, rapid prototyping, and for non-access controlled adhoc data.

### Property Options

| Name          | Type    | Default | Description                                                                                                                          |
| ------------- | ------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| serializeData | Boolean | true    | If true, property will be serialized and stored as a string. Note, when serialized, property cannot be used in query or aggregation. |
| maxSize       | Integer | 0       | The maximum object size in bytes. Set to 0 for no maximum size.                                                                      |

**Base property options not available:**

* array
* uniqueValues
* indexed
* unique

### Property Validators

**Required**\
name: `required`

**JSON Schema**\
name: `json`\
defintion:

| Option | Type        | Description                                                                                             |
| ------ | ----------- | ------------------------------------------------------------------------------------------------------- |
| schema | JSON Schema | A valid JSON Schema for validating the input against. See <http://json-schema.org/learn/> for examples. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.medable.com/cortex-api/objects-definition/object-properties/any.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
